DU(1)

NAME
du - summarize disk usage

SYNOPSIS
du [-arskxo] [name ...]

DESCRIPTION
Du gives the number of blocks (512 bytes) contained in all files and (recursively) directories within each specified directory or file name. If name is missing, `.' is used.

The following options are supported:

-a  This option causes an entry to be generated for each file. Absence of either causes an entry to be generated for each directory only.

-k  Print statistics in units of 1024 bytes, rounded up to the next unit.

-o  Do not add sizes of subdirectories to parent directories.

-r  Show error messages. This is the default with /usr/local/heirloom/usr/local/heirloom/usr/5bin/posix/du .

-s  This option causes only the grand total to be given. Overrides the -a option.

-x  Do not cross device boundaries when descending a directory hierarchy.

A file which has two links to it is only counted once.

SEE ALSO
df(1)

NOTES
Non-directories given as arguments (not under -a or -s options) are not listed with /usr/local/heirloom/usr/5bin/du and /usr/local/heirloom/usr/local/heirloom/usr/5bin/s42/du.

Files with holes may produce incorrect results.